@import url("https://fonts.googleapis.com/css2?family=Vazirmatn:wght@300;500;600;700;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=PT+Serif:wght@700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@300;500;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&display=swap");
* {
  margin: 0;
  padding: 0;
  color: #fff;
}
::-webkit-scrollbar {
  width: 10px;
}
::-webkit-scrollbar-track {
  background-color: #1a262c;
}
::-webkit-scrollbar-thumb {
  background-color: #fd940c;
  border-radius: 10px;
}
a,
a:hover {
  color: unset;
}
body {
  background-color: rgb(243, 243, 247);
}
#page {
  position: relative;
  width: 100%;
}
#lanTogglerButton {
  counter-reset: button-counter;
  position: absolute;
  top: 2%;
  right: 2%;
}
.knobs,
.layer {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.button {
  position: relative;
  width: 3.5vw;
  min-width: 26px;
  height: 1.8vw;
  min-height: 13px;
  overflow: hidden;
}
.button.r,
.button.r .layer {
  border-radius: 100px;
}
.checkbox {
  position: relative;
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
  opacity: 0;
  cursor: pointer;
  z-index: 3;
}
.knobs {
  z-index: 2;
}
.layer {
  width: 100%;
  background-color: #cbd1d4;
  transition: 0.3s ease all;
  z-index: 1;
}
#button-1 .knobs:before {
  content: "";
  background-image: url(./imgs/iranian-flag-small.png);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: clamp(0.55px, 0.07vw, 1px);
  left: clamp(0.6px, 0.1vw, 1px);
  width: 1.7vw;
  min-width: 11.5px;
  height: 1.7vw;
  min-height: 11.85px;
  color: #fff;
  font-weight: bold;
  margin: 0;
  padding: 0;
  background-color: #56511a;
  border-radius: 50%;
  transition: 0.3s cubic-bezier(0.18, 0.89, 0.35, 1.15) all;
}
#button-1 .checkbox:checked + .knobs:before {
  /* content: "EN"; */
  background-image: url(./imgs/UK_flag.png);
  left: 50%;
  background-color: #fff;
}
#button-1 .knobs,
#button-1 .knobs:before,
#button-1 .layer {
  transition: 0.3s ease all;
}
#logo {
  width: 20%;
  margin: 6% auto 0;
  padding: 0;
}
#logo img {
  width: 100%;
  padding: 0;
  margin: 0;
}
#bgImg {
  background: linear-gradient(rgba(0, 0, 0, 0.527), rgba(0, 0, 0, 0.4)),
    url("./imgs/pexels-expect-best-323780.jpg") no-repeat top;
  background-size: 100%;
  width: auto;
  height: 100%;
  min-height: 40vh;
  padding-bottom: 10%;
  overflow-x: hidden;
  display: flex;
  flex-direction: column;
}
h1 {
  text-align: center;
  font-size: clamp(16px, 3.5vw, 35px);
  padding-bottom: 5%;
  font-weight: 900;
  font-family: "Vazirmatn", sans-serif;
}
h2 {
  font-size: clamp(16px, 2.3vw, 35px);
  text-align: center;
  padding-top: 1%;
  font-weight: 600;
  font-family: "Vazirmatn", sans-serif;
}
#middle {
  width: 100%;
}
h2.aboutUs {
  padding: 8% 15% 0;
  text-align: right;
  color: #fd940c;
}
#about {
  padding: 2% 12%;
  text-align: right;
  font-size: clamp(16px, 1.6vw, 35px);
  color: rgb(12, 23, 46);
  font-weight: 500;
  font-family: "Vazirmatn", sans-serif;
  text-align: justify;
  text-align-last: right;
  direction: rtl;
  text-indent: 5%;
  line-height: clamp(35px, 3vw, 50px);
  margin: 0;
}
/* carousel */
.content {
  width: 80%;
  margin: 0 auto;
  padding: 5%;
}
.carouselItems {
  padding: 0 5%;
  margin: 0 auto;
  width: clamp(90px, 15vw, 500px);
}
#contact {
  background-color: #1a262c;
  padding: 7% 0 5%;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
#social {
  display: flex;
  justify-content: center;
  width: 35%;
  flex-direction: column;
  align-items: center;
}
#profile {
  width: 20%;
  text-align: center;
  visibility: hidden;
}
#profileImg {
  width: 80%;
  border-radius: 5px;
  margin: auto;
  -webkit-box-shadow: 0px 0px 30px 2px #010716;
  box-shadow: 0px 0px 30px 2px #010716;
}
#identity {
  width: 100%;
}
#name {
  padding-bottom: 5%;
  margin: 0;
  color: #fd940c;
  font-size: clamp(16px, 1.8vw, 35px);
}
strong {
  color: #fd940c;
  font-size: clamp(16px, 1.8vw, 35px);
}
#wholeName {
  width: 100%;
  text-align: center;
  font-family: "Vazirmatn", sans-serif;
  margin: 0;
}
#tell {
  color: #fd940c;
  font-size: clamp(16px, 1.5vw, 35px);
  width: 100%;
  padding-top: 1.5%;
  text-align-last: center;
  text-align: center;
  font-weight: 600;
  margin: 0;
}
#mail {
  color: #fd940c;
  font-size: clamp(16px, 1.7vw, 35px);
  font-weight: 600;
  width: 100%;
  padding-top: 1.5%;
  text-align-last: center;
  text-align: center;
  font-family: "PT Serif", sans-serif;
  margin: 0;
}
#socialLink {
  width: 100%;
  padding-top: 3%;
  text-align: center;
}
i {
  font-size: clamp(20px, 2.5vw, 50px);
  padding: 2%;
  color: #fd940c;
}
i:hover {
  transform: scale(1.2);
  transition: 0.2s;
}
hr {
  margin: 0;
  padding: 0;
  width: 100%;
  border: none;
  height: 1px;
  background: repeating-linear-gradient(
    90deg,
    #1a262c,
    #1a262c 0.5vw,
    transparent 0.5vw,
    transparent 1vw
  );
  background-color: #fff;
}
#addressess {
  background-color: #1a262c;
  padding: 1% 10% 2%;
  width: 100%;
  display: flex;
  flex-direction: column;
  text-align: right;
  font-family: "Vazirmatn", sans-serif;
  direction: rtl;
}
#addressTitle {
  display: flex;
  flex-direction: row;
  padding: 1% 0;
}
#addressTitle h3 {
  font-weight: 700;
  color: #fd940c;
  font-size: clamp(16px, 1.8vw, 35px);
  margin: auto 0;
}
#addressTitle i {
  padding: 0.7%;
}
#address {
  display: flex;
  flex-direction: row;
}
#address div {
  display: flex;
  flex-direction: row;
  width: clamp(2vw, 18%, 170px);
  margin: auto 0;
}
#address div span {
  font-size: clamp(14px, 1.7vw, 27px);
  margin: auto 0;
  color: #fd940c;
}
#address p {
  font-size: clamp(14px, 1.7vw, 30px);
  margin: auto 1%;
  color: #fd940c;
}
.fa-location-dot {
  font-size: 2.1vw;
  padding: 1vw;
}
.fa-location-crosshairs {
  font-size: 1.5vw;
  padding: 5%;
}
#footerLogo {
  width: 20%;
}
#footerLogo img {
  width: 100%;
}
#footer {
  display: flex;
  justify-content: center;
  margin: 0;
  padding: 0;
  background-color: #1a262c;
  font-family: "Vazirmatn", sans-serif;
  color: #646262;
  font-size: clamp(16px, 1.6vw, 35px);
}
@media only screen and (max-width: 550px) {
  #page {
    min-width: 600px;
  }
  #bgImg {
    background-size: 600px;
    justify-content: center;
    align-items: center;
  }
  #socialLink {
    padding-top: 1%;
  }
  #lanTogglerButton {
    top: 2%;
    right: 2%;
  }
  #footer {
    min-width: 600px;
  }
}
@media only screen and (max-width: 900px) {
  #social {
    width: 40%;
  }
}
